import request from '@/utils/request'

/**
 * 查询消息列表
 * @returns
 */
export function getMessageList(params) {
  return Promise.resolve({
    total: 5,
    rows: [
      { id: 1, msgContent: '测试1111', msgRecTime: '2024-08-05 12:31:59', msgStatus: 'unread' },
      { id: 2, msgContent: '测试2222', msgRecTime: '2024-08-05 13:32:01', msgStatus: 'readed' },
      { id: 3, msgContent: '测试333', msgRecTime: '2024-08-05 14:09:07', msgStatus: 'unread' },
      { id: 4, msgContent: '测试4444', msgRecTime: '2024-08-05 15:37:10', msgStatus: 'readed' },
      { id: 5, msgContent: '测试5555', msgRecTime: '2024-08-05 17:29:39', msgStatus: 'unread' }
    ],
    code: 200,
    msg: '操作成功'
  })
}

/**
 * 标记所有已读
 * @returns
 */
export function markAllRead() {
  return Promise.resolve({
    result: {},
    code: 200,
    msg: '操作成功'
  })
}

/**
 * 根据id标记单个已读
 * @returns
 */
export function markReadById(id) {
  return Promise.resolve({
    result: {},
    code: 200,
    msg: '操作成功'
  })
}

